/***************************************************************************************************
 * @file    : P3.h
 * @brief   : Develop a parent-child process application, wherein child
 *           process at random duration calculates square of numbers (via above method)
 *           from 1 to 1000 and parent process prints result as soon as soon as child
 *           process produce it. Use Shared-memory for IPC
 *
 *
 * @author  : Akash Nair
 * @bug No known bugs.
 **************************************************************************************************/

/***************************************************************************************************
 *Includes
***************************************************************************************************/ 
#include<stdio.h>
#include<unistd.h>
#include<sys/ipc.h>
#include<sys/shm.h>
#include<sys/types.h>
#include<sys/wait.h>
#include<semaphore.h>
#include<pthread.h>
#include<stdlib.h>

/***************************************************************************************************
 *Defines
 **************************************************************************************************/

 
/***************************************************************************************************
* GLOBAL VARIABLES
* *************************************************************************************************/
sem_t mutex;

/***************************************************************************************************
 * Function Prototype
 **************************************************************************************************/
void *str;

